Skip to main content
POST
/
v1
/
admin
/
actions
/
markets
/
edit-metadata
Error
A valid request URL is required to generate request examples
{
  "ok": true,
  "marketAddress": "<string>",
  "shadowBanned": true
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
marketAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
stepUp
object
required
shadowBanned
boolean
default:false
adminNote
string | null
Maximum string length: 2000

Response

Default Response

ok
enum<boolean>
required
Available options:
true
marketAddress
string
required
shadowBanned
boolean
required